Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer::add_filter

Adds the sound filter to the sound buffer.

    	void add_filter(
    		CL_SoundFilter* filter, bool delete_filter = false);

Parameters:

filter
  Sound filter to pass sound through.
delete_filter
  If true, the filter will be deleted when the sound output is destroyed.

See also:

CL_SoundFilter | CL_Sound | CL_SoundBuffer

Questions or comments, write to the ClanLib mailing list.